#include<bits/stdc++.h>
using namespace std;
int n,q,a[200005],b[200005],veci,manji,jednaki,resenje;
int main(){
    cin>>n>>q;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=1;i<=q;i++){
        cin>>b[i];
    }
    for(int k=1;k<=q;k++){
        manji=0;
        veci=0;
        jednaki=0;
        for(int i=1;i<=n;i++){
            if(a[i]<b[k]){
                manji++;
            }
            else if(a[i]>b[k]){
                veci++;
            }
            else{
                jednaki++;
            }
        }
    if(jednaki==0){
        if(manji==veci){
            resenje=0;
        }
        else if(manji>veci){
            resenje=manji-veci;
        }
        else{
            resenje=veci-manji+1;
        }
    }
    else{
        if(manji==veci){
            resenje=0;
        }
        else if(manji+jednaki<=veci){
            resenje=veci-(manji+jednaki)+1;
        }
        else if(manji>=veci+jednaki){
            resenje=manji-(veci+jednaki);
        }
    }
    cout<<resenje<<endl;
    }
    return 0;
}